Subject: Re: bug#51138: Increase the value of kill-ring-max

From: Juri Linkov <[email-masked]>
Date: Wed, 13 Oct 2021 20:45:29 +0300

> It should also fix the issue indicated by Juri by adding a new user
> option for the number of entries in the "Paste from Kill Ring" menu.
> I set it to 60 by default, as that was the previous max number of
> entries, and it feels like it should have the least amount of impact to
> just change nothing, but I'm open to alternative suggestions.

Thanks.  It makes sense to reduce the default value of yank-menu-max-items
because long menus are hard to navigate, but OTOH indeed maybe better
to leave it at the previous max number.

>  (defcustom yank-menu-length 20
> -  "Maximum length to display in the `yank-menu'."
> +  "Maximum length of entries in the `yank-menu'."

The previous docstring was unclear, but the new docstring
doesn't make it clearer.  I don't have a concrete suggestion,
but it needs to say that this length truncates the text
of each menu item.